Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups.ldap
Class LDAPGroupStore.EntitySet

    java.lang.Object
      org.jasig.portal.groups.ldap.LDAPGroupStore.EntitySet

Enclosing class:
  LDAPGroupStore

    protected class LDAPGroupStore.EntitySet

extends java.lang.Object

Field Summary
`protected javax.naming.directory.Attributes` | `attributes`
`static int` | `ATTRIBUTES`
`static int` | `DIFFERENCE`
`protected java.lang.String` | `filter`
`static int` | `FILTER`
`static int` | `INTERSECTION`
`protected LDAPGroupStore.EntitySet[]` | `subsets`
`static int` | `SUBTRACT`
`protected int` | `type`
`static int` | `UNION`

Constructor Summary
`protected` | `LDAPGroupStore.EntitySet(org.w3c.dom.Element entityset)`

Method Summary
`protected java.lang.String[]` | `getPersonKeys()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILTER

    public static final int FILTER

See Also:
  Constant Field Values

### UNION

    public static final int UNION

See Also:
  Constant Field Values

### DIFFERENCE

    public static final int DIFFERENCE

See Also:
  Constant Field Values

### INTERSECTION

    public static final int INTERSECTION

See Also:
  Constant Field Values

### SUBTRACT

    public static final int SUBTRACT

See Also:
  Constant Field Values

### ATTRIBUTES

    public static final int ATTRIBUTES

See Also:
  Constant Field Values

### type

    protected int type

### filter

    protected java.lang.String filter

### attributes

    protected javax.naming.directory.Attributes attributes

### subsets

    protected LDAPGroupStore.EntitySet[] subsets

Constructor Detail

### LDAPGroupStore.EntitySet

    protected LDAPGroupStore.EntitySet(org.w3c.dom.Element entityset)

Method Detail

### getPersonKeys

    protected java.lang.String[] getPersonKeys()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD